"""
Protein feature extraction module for Python
============================================
protlearn is a Python module for the extraction of features from amino acid 
sequences. It is comprised of three submodules - preprocessing, features, and 
dimensionality reduction.

It aims to provide simple and efficient functions to extract protein features 
useful for downstream classification or regression tasks.

See https://protlearn.readthedocs.io/en/latest/ for complete documentation.
"""

__version__ = '2.1'

__all__ = ['preprocessing',
           'features',
           'dimreduction']